E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub została użyta ich starsza wersja

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

Jeśli podczas aktualizacji systemu (sudo apt-get update) wyświetli Ci się poniższy komunikat:

E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub została użyta ich starsza wersja.

To… masz problem :) Ale nie jest on aż taki poważny, jednak nie ma uniwersalnego rozwiązania, gdyż może być on spowodowany trzema czynnikami (uszeregowane od najpopularniejszych):

1. Przyczyna:
Używasz repozytoriów dla starszych wersji systemu np. korzystając z Karmicznego Koali masz nadal jakieś repozytoria z Jaunty Jackalope.
Rozwiązanie:
Otwórz terminal i wydaj polecenie:

sudo gedit /etc/apt/sources.list

i usuń wpisy związane ze starszymi wersjami systemu. Każdy wpis zawiera na końcu skrót od wersji, do której jest przeznaczony np. hardy, intrepid, jaunty, karmic. Zapisz plik (CTRL + S) i wykonaj aktualizację ponownie.

2. Przyczyna:
Repozytoria wygasły lub zmienił się ich adres.
Rozwiązanie:
Usuń cały wpis (instrukcja wyżej) lub zamień go na aktualny (może na stronie projektu, do którego należał wpis będą jakieś informacje na ten temat).

3. Przyczyna:
Repozytoria są chwilowo niedostępne.
Rozwiązanie:
Zaktualizuj system za jakiś czas.

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • pan_zabka

    Nie wiem dlaczego ppa purge i remove repo nie działały. W sources.list też wpisu, który powodował ten błąd, nie było. Musiałem wejść w zasoby oprogramowania i w zakładce inne oprogramowanie usunąć go/je.